drop table sales
/
create table sales
(
trans_id number(10),
sales_date date,
customer_id number(10),
item_id number(10),
business_unit varchar2(20),
sales_amount number(10)
)
partition by range (sales_date)
(
partition sales_y10q1 values less than
(to_date('04/01/2010','mm/dd/yyyy')) tablespace users,
partition sales_y10q2 values less than
(to_date('07/01/2010','mm/dd/yyyy')) tablespace users,
partition sales_y10q3 values less than
(to_date('10/01/2010','mm/dd/yyyy')) tablespace users,
partition sales_y10q4 values less than
(to_date('01/01/2011','mm/dd/yyyy')) tablespace users,
partition sales_qm values less than (maxvalue)
)
/
