set echo on
set pau Press ENTER to continue ...
drop table giptab1
/
create table giptab1 (c1 number, c2 number, c3 number,c4 number)
partition by range (c2)
(
	partition p1 values less than (101),
	partition p2 values less than (201),
	partition pm values less than (maxvalue)
)
/
insert into giptab1 values (1,99,99,99)
/
insert into giptab1 values (2,199,199,199)
/
insert into giptab1 values (3,299,199,199)
/
commit
/
pau
alter table giptab1 modify partition p1 indexing on
/
alter table giptab1 modify partition p2 indexing off
/
alter table giptab1 modify partition pm indexing on
/
pau
create index in_giptab1_01 on giptab1 (c2) local
/
create index in_giptab1_02 on giptab1 (c4) local indexing partial
/
create index in_g1_giptab1_01 on giptab1 (c1) global
/
create index in_g1_giptab1_02 on giptab1 (c3) global indexing partial
/
col index_name format a30
col partition_name format a20
pau
select index_name, status
from user_indexes
where table_name = 'GIPTAB1'
/
select index_name, partition_name, status
from user_ind_partitions
where index_name in (
	select index_name from user_indexes where table_name = 'GIPTAB1'
)
/