set echo on pau on
set pau "Press ENTER to continue ... "
drop table sptest2
/
create table sptest2
(
	col1 number,
	col2 varchar2(200),
	col3 varchar2(200)
)
partition by range (col1)
subpartition by hash (col2)
subpartitions 4
(
	partition p1 values less than (1001),
	partition p2 values less than (2001),
	partition p3 values less than (3001),
	partition p4 values less than (4001),
	partition p5 values less than (5001),
	partition p6 values less than (6001),
	partition p7 values less than (7001),
	partition p8 values less than (8001),
	partition p9 values less than (9001),
	partition pm values less than (maxvalue)
)
/
pau
insert /*+ APPEND */ into sptest2
select object_id, object_name, subobject_name from all_objects
/
commit
/
pau
begin
    dbms_stats.gather_table_stats (
	        ownname=> user, 
			tabname=>'SPTEST2'
		);
end;
/
pau
select global_stats
from user_tables
where table_name = 'SPTEST2';
pau
select last_analyzed, global_stats
from user_tab_partitions
where table_name = 'SPTEST2';
pau
select last_analyzed, global_stats
from user_tab_subpartitions
where table_name = 'SPTEST2';
pau
drop table sptest2
/
create table sptest2
(
	col1 number,
	col2 varchar2(200),
	col3 varchar2(200)
)
partition by range (col1)
subpartition by hash (col2)
subpartitions 4
(
	partition p1 values less than (1001),
	partition p2 values less than (2001),
	partition p3 values less than (3001),
	partition p4 values less than (4001),
	partition p5 values less than (5001),
	partition p6 values less than (6001),
	partition p7 values less than (7001),
	partition p8 values less than (8001),
	partition p9 values less than (9001),
	partition pm values less than (maxvalue)
)
/
pau
insert /*+ APPEND */ into sptest2
select object_id, object_name, subobject_name from all_objects
/
commit
/
pau
begin
    dbms_stats.gather_table_stats (
	        ownname=> user, 
			tabname=>'SPTEST2',
			granularity=>'SUBPARTITION'
		);
end;
/
pau
select last_analyzed, global_stats
from user_tab_partitions
where table_name = 'SPTEST2';
pau
select last_analyzed, global_stats
from user_tab_subpartitions
where table_name = 'SPTEST2';
pau
select global_stats
from user_tables
where table_name = 'SPTEST2';
pau
drop table sptest2
/
create table sptest2
(
	col1 number,
	col2 varchar2(200),
	col3 varchar2(200)
)
partition by range (col1)
subpartition by hash (col2)
subpartitions 4
(
	partition p1 values less than (1001),
	partition p2 values less than (2001),
	partition p3 values less than (3001),
	partition p4 values less than (4001),
	partition p5 values less than (5001),
	partition p6 values less than (6001),
	partition p7 values less than (7001),
	partition p8 values less than (8001),
	partition p9 values less than (9001),
	partition pm values less than (maxvalue)
)
/
pau
insert /*+ APPEND */ into sptest2
select object_id, object_name, subobject_name from all_objects
/
commit
/
pau
begin
    dbms_stats.gather_table_stats (
	        ownname=> user, 
			tabname=>'SPTEST2',
			granularity=>'ALL'
		);
end;
/
pau
select last_analyzed, global_stats
from user_tab_partitions
where table_name = 'SPTEST2';
pau
select last_analyzed, global_stats
from user_tab_subpartitions
where table_name = 'SPTEST2';
pau
select global_stats
from user_tables
where table_name = 'SPTEST2';
pau