set echo on
set pau "Press ENTER to continue ..."
set lines 300
set pages 55
drop table accounts purge
/
create table accounts
(
	accno		number,
	principal	number,
	interest	number,
	totbal		generated always as (principal+interest)
)
partition by range (totbal)
(
	partition plow values less than (101),
	partition pmed values less than (201),
	partition phigh values less than (301),
	partition pexcp values less than (maxvalue)
)
/
pau
insert into accounts (accno, principal, interest) values (1, 50, 5)
/
insert into accounts (accno, principal, interest) values (2, 150, 15)
/
insert into accounts (accno, principal, interest) values (3, 250, 25)
/
insert into accounts (accno, principal, interest) values (4, 350, 35)
/
commit
/
pau
select * from accounts partition (plow)
/
select * from accounts partition (pmed)
/
select * from accounts partition (phigh)
/
select * from accounts partition (pexcp)
/
