drop table ptest3a purge
/
drop table ptest3b purge
/
pau
create table ptest3a
(
col1a number,
col2a varchar2(200),
col3a varchar2(200)
)
partition by range (col1a)
(
partition p1 values less than (1001),
partition p2 values less than (2001),
partition p3 values less than (3001),
partition p4 values less than (4001),
partition p5 values less than (5001),
partition p6 values less than (6001),
partition p7 values less than (7001),
partition p8 values less than (8001),
partition p9 values less than (9001),
partition pm values less than (maxvalue)
)
/
create table ptest3b
(
col1b number,
col2b varchar2(200),
col3b varchar2(200)
)
partition by range (col1b)
(
partition p1 values less than (1001),
partition p2 values less than (2001),
partition p3 values less than (3001),
partition p4 values less than (4001),
partition p5 values less than (5001),
partition p6 values less than (6001),
partition p7 values less than (7001),
partition p8 values less than (8001),
partition p9 values less than (9001),
partition pm values less than (maxvalue)
)
/
insert into ptest3a
select rownum, object_type, object_name
from all_objects
where rownum < 10001
/
insert into ptest3b
select rownum, object_type, object_name
from all_objects
where rownum < 10001
/
commit
/
begin
	dbms_stats.gather_table_stats (
		ownname	=> 'ARUP',
		tabname	=> 'PTEST3A',
		granularity	=> 'ALL',
		cascade	=> true
	);
end;
/
begin
   dbms_stats.gather_table_stats (
           ownname => 'ARUP',
           tabname => 'PTEST3B',
           granularity     => 'ALL',
           cascade => true
   );
end;
/
pau
explain plan for
select count(*)
from ptest3a , ptest3b
where ptest3b.col1b = ptest3a.col1a
and ptest3a.col1a between 1500 and 1700
/
pau
select * from table(dbms_xplan.display(format=>'ALL'))
/