drop table sptest2
/
create table sptest2
partition by range (object_id)
subpartition by hash (data_object_id)
subpartitions 4
(
	partition p1 values less than (1001),
	partition p2 values less than (2001),
	partition p3 values less than (3001),
	partition p4 values less than (4001),
	partition p5 values less than (5001),
	partition p6 values less than (6001),
	partition p7 values less than (7001),
	partition p8 values less than (8001),
	partition p9 values less than (9001),
	partition pm values less than (maxvalue)
)
nologging
as
select object_id, object_name, data_object_id from all_objects
/
commit
/
pau
/*
begin
    dbms_stats.gather_table_stats (
	        ownname=> user, 
			tabname=>'SPTEST2',
			granularity=>'SUBPARTITION'
		);
end;
/
pau
*/
select last_analyzed, global_stats
from user_tab_partitions
where table_name = 'SPTEST2';
pau
select last_analyzed, global_stats
from user_tab_subpartitions
where table_name = 'SPTEST2';
pau
select global_stats
from user_tables
where table_name = 'SPTEST2';
pau